Summary:	A perfect hash function generator
Name:	 	gperf
Version:	3.2.1
Release:	%mkrel 1
License:	GPLv3+
Group:		Development/Other
URL:		https://www.gnu.org/software/gperf/
Source:		https://ftp.gnu.org/gnu/gperf/%{name}-%{version}.tar.gz


%description
Gperf is a perfect hash function generator written in C++.  Simply
stated, a perfect hash function is a hash function and a data
structure that allows recognition of a key word in a set of words
using exactly one probe into the data structure.

Install gperf if you need a program that generates perfect hash
functions.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

rm -f %{buildroot}%{_datadir}/doc/gperf.html

%files
%doc README NEWS doc/gperf.html
%{_bindir}/gperf
%{_mandir}/man1/gperf.1*
%{_infodir}/gperf.info*


%changelog
* Thu Apr 17 2025 mrambo3501 <mrambo3501> 3.2.1-1.mga10
+ Revision: 2175867
- version 3.2.1

* Fri Apr 11 2025 mrambo3501 <mrambo3501> 3.2-1.mga10
+ Revision: 2174578
- version 3.2

* Mon Mar 14 2022 umeabot <umeabot> 3.1-4.mga9
+ Revision: 1791002
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 3.1-3.mga8
+ Revision: 1488978
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 03 2018 tv <tv> 3.1-2.mga7
+ Revision: 1256483
- rely on filetriggers for info system (mga#23482)

* Sun Feb 05 2017 daviddavid <daviddavid> 3.1-1.mga6
+ Revision: 1084883
- new version: 3.1

* Tue Feb 02 2016 umeabot <umeabot> 3.0.4-8.mga6
+ Revision: 930939
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.0.4-7.mga5
+ Revision: 746513
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.4-6.mga5
+ Revision: 679907
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.0.4-5.mga4
+ Revision: 505215
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.0.4-4.mga3
+ Revision: 352518
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 10 2012 blino <blino> 3.0.4-3.mga3
+ Revision: 259516
- rebuild to get info pages as xz instead of lzma

* Sat Jan 08 2011 blino <blino> 3.0.4-2.mga1
+ Revision: 930
- imported package gperf
- imported package gperf


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 3.0.4-2mdv2011.0
+ Revision: 605494
- rebuild

* Mon Feb 22 2010 Emmanuel Andry <eandry@mandriva.org> 3.0.4-1mdv2010.1
+ Revision: 509746
- New version 3.0.4
- fix license

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.0.3-5mdv2010.0
+ Revision: 425021
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 3.0.3-4mdv2009.0
+ Revision: 221099
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 3.0.3-3mdv2008.1
+ Revision: 150230
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 3.0.3-2mdv2008.0
+ Revision: 70256
- convert prereq

* Thu Jul 05 2007 Adam Williamson <awilliamson@mandriva.org> 3.0.3-1mdv2008.0
+ Revision: 48466
- fix gperf.html removal
- new release 3.0.3; rebuild for 2008
- Import gperf



* Wed Jul 19 2006 Emmanuel Andry <eandry@mandriva.org> 3.0.2-1mdv2007.0
- 3.0.2
- %%mkrel

* Fri Aug 05 2005 Giuseppe Ghibò <ghibo@mandriva.com> 3.0.1-5mdk
- Fixed changelog date.

* Fri Aug 05 2004 Giuseppe Ghibò <ghibo@mandriva.com> 3.0.1-4mdk
- Added Patch0 for building under gcc 4.0.1.

* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 3.0.1-3mdk
- Rebuild

* Thu Jan 29 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 3.0.1-2mdk
- Rebuilt.

* Wed Aug 20 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 3.0.1-1mdk
- Release: 3.0.1.

* Fri Jul 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.7.2-8mdk
- rebuild

* Wed Feb 19 2003 Giuseppe Ghibò <ghibo@mandrakesoft.coM> 2.7.2-7mdk
- Rebuilt.

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.7.2-6mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.7.2-5mdk
- Automated rebuild with gcc3.2

* Tue May 28 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 2.7.2-4mdk
- Rebuilt.

* Sat Jan 19 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 2.7.2-3mdk
- Add URL tag, update source URL
- s/Copyright/License/
- Use %%make, %%configure2_5x, %%makeinstall_std macros

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 2.7.2-2mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Fri Oct 20 2000 François Pons <fpons@mandrakesoft.com> 2.7.2-1mdk
- removed patch and simplified a bit install step.
- 2.7.2.

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.7-13mdk
- fix bad scripts

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.7-12mdk
- major spec cleaning
- BM

* Wed Apr 05 2000 John Buswell <johnb@mandrakesoft.com> 2.7-11mdk
- fixed vendor tag

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 2.7-10mdk
- fixed groups
- uses spec-helper

* Tue Nov 23 1999 François PONS <fpons@mandrakesoft.com>
- Build release.

* Thu Jun  3 1999 Bernhard Rosenkränzer <bero@mandrakesoft.com>
- REALLY bzip2 info files rather than just renaming them ;)
  seems I'm not the only one around here who should stop working after
  4 am ;)
- replace the egcs patch with the REAL egcs patch (from the egcs server)

* Wed May 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- bzip2 info files.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Wed Mar 24 1999 Cristian Gafton <gafton@redhat.com>
- added patches for egcs from UP

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- patch for latest egcs

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binary

* Tue Jul 28 1998 Jeff Johnson <jbj@redhat.com>
- create.
